org.eclipse.viatra.cep.vepl.vepl

## Interface VeplPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    VeplPackageImpl

      public interface VeplPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `VeplFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `VeplPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSTRACT_ATOMIC_EVENT_PATTERN` The meta object id for the '`Abstract Atomic Event Pattern`' class.
    `static int` | `ABSTRACT_ATOMIC_EVENT_PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `ABSTRACT_ATOMIC_EVENT_PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference.
    `static int` | `ABSTRACT_ATOMIC_EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Abstract Atomic Event Pattern' class.
    `static int` | `ABSTRACT_MULTIPLICITY` The meta object id for the '`Abstract Multiplicity`' class.
    `static int` | `ABSTRACT_MULTIPLICITY_FEATURE_COUNT` The number of structural features of the 'Abstract Multiplicity' class.
    `static int` | `AND_OPERATOR` The meta object id for the '`And Operator`' class.
    `static int` | `AND_OPERATOR_FEATURE_COUNT` The number of structural features of the 'And Operator' class.
    `static int` | `AT_LEAST_ONE` The meta object id for the '`At Least One`' class.
    `static int` | `AT_LEAST_ONE_FEATURE_COUNT` The number of structural features of the 'At Least One' class.
    `static int` | `ATOM` The meta object id for the '`Atom`' class.
    `static int` | `ATOM__LEFT` The feature id for the 'Left' containment reference.
    `static int` | `ATOM__MULTIPLICITY` The feature id for the 'Multiplicity' containment reference.
    `static int` | `ATOM__NEG_OPERATOR` The feature id for the 'Neg Operator' containment reference.
    `static int` | `ATOM__PATTERN_CALL` The feature id for the 'Pattern Call' containment reference.
    `static int` | `ATOM__RIGHT` The feature id for the 'Right' containment reference list.
    `static int` | `ATOM__TIMEWINDOW` The feature id for the 'Timewindow' containment reference.
    `static int` | `ATOM_FEATURE_COUNT` The number of structural features of the 'Atom' class.
    `static int` | `ATOMIC_EVENT_PATTERN` The meta object id for the '`Atomic Event Pattern`' class.
    `static int` | `ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION` The feature id for the 'Check Expression' containment reference.
    `static int` | `ATOMIC_EVENT_PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `ATOMIC_EVENT_PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference.
    `static int` | `ATOMIC_EVENT_PATTERN__TRAITS` The feature id for the 'Traits' containment reference.
    `static int` | `ATOMIC_EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Atomic Event Pattern' class.
    `static int` | `BINARY_OPERATOR` The meta object id for the '`Binary Operator`' class.
    `static int` | `BINARY_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Binary Operator' class.
    `static int` | `CHAINED_EXPRESSION` The meta object id for the '`Chained Expression`' class.
    `static int` | `CHAINED_EXPRESSION__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `CHAINED_EXPRESSION__OPERATOR` The feature id for the 'Operator' containment reference.
    `static int` | `CHAINED_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Chained Expression' class.
    `static int` | `COMPLEX_EVENT_EXPRESSION` The meta object id for the '`Complex Event Expression`' class.
    `static int` | `COMPLEX_EVENT_EXPRESSION__LEFT` The feature id for the 'Left' containment reference.
    `static int` | `COMPLEX_EVENT_EXPRESSION__MULTIPLICITY` The feature id for the 'Multiplicity' containment reference.
    `static int` | `COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR` The feature id for the 'Neg Operator' containment reference.
    `static int` | `COMPLEX_EVENT_EXPRESSION__RIGHT` The feature id for the 'Right' containment reference list.
    `static int` | `COMPLEX_EVENT_EXPRESSION__TIMEWINDOW` The feature id for the 'Timewindow' containment reference.
    `static int` | `COMPLEX_EVENT_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Complex Event Expression' class.
    `static int` | `COMPLEX_EVENT_OPERATOR` The meta object id for the '`Complex Event Operator`' class.
    `static int` | `COMPLEX_EVENT_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Complex Event Operator' class.
    `static int` | `COMPLEX_EVENT_PATTERN` The meta object id for the '`Complex Event Pattern`' class.
    `static int` | `COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION` The feature id for the 'Complex Event Expression' containment reference.
    `static int` | `COMPLEX_EVENT_PATTERN__CONTEXT` The feature id for the 'Context' attribute.
    `static int` | `COMPLEX_EVENT_PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `COMPLEX_EVENT_PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference.
    `static int` | `COMPLEX_EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Complex Event Pattern' class.
    `static int` | `CONTEXT_ENUM` The meta object id for the '`Context Enum`' enum.
    `static VeplPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `EVENT_MODEL` The meta object id for the '`Event Model`' class.
    `static int` | `EVENT_MODEL__CONTEXT` The feature id for the 'Context' attribute.
    `static int` | `EVENT_MODEL__IMPORTS` The feature id for the 'Imports' containment reference list.
    `static int` | `EVENT_MODEL__MODEL_ELEMENTS` The feature id for the 'Model Elements' containment reference list.
    `static int` | `EVENT_MODEL__NAME` The feature id for the 'Name' attribute.
    `static int` | `EVENT_MODEL_FEATURE_COUNT` The number of structural features of the 'Event Model' class.
    `static int` | `EVENT_PATTERN` The meta object id for the '`Event Pattern`' class.
    `static int` | `EVENT_PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `EVENT_PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference.
    `static int` | `EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Event Pattern' class.
    `static int` | `FOLLOWS_OPERATOR` The meta object id for the '`Follows Operator`' class.
    `static int` | `FOLLOWS_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Follows Operator' class.
    `static int` | `GENERIC_IMPORT` The meta object id for the '`Generic Import`' class.
    `static int` | `GENERIC_IMPORT__IMPORTED_NAMESPACE` The feature id for the 'Imported Namespace' attribute.
    `static int` | `GENERIC_IMPORT_FEATURE_COUNT` The number of structural features of the 'Generic Import' class.
    `static int` | `IMPORT` The meta object id for the '`Import`' class.
    `static int` | `IMPORT__IMPORTED_NAMESPACE` The feature id for the 'Imported Namespace' attribute.
    `static int` | `IMPORT_FEATURE_COUNT` The number of structural features of the 'Import' class.
    `static int` | `INFINITE` The meta object id for the '`Infinite`' class.
    `static int` | `INFINITE_FEATURE_COUNT` The number of structural features of the 'Infinite' class.
    `static int` | `MODEL_ELEMENT` The meta object id for the '`Model Element`' class.
    `static int` | `MODEL_ELEMENT__NAME` The feature id for the 'Name' attribute.
    `static int` | `MODEL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Model Element' class.
    `static int` | `MULTIPLICITY` The meta object id for the '`Multiplicity`' class.
    `static int` | `MULTIPLICITY__VALUE` The feature id for the 'Value' attribute.
    `static int` | `MULTIPLICITY_FEATURE_COUNT` The number of structural features of the 'Multiplicity' class.
    `static int` | `NEG_OPERATOR` The meta object id for the '`Neg Operator`' class.
    `static int` | `NEG_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Neg Operator' class.
    `static int` | `OR_OPERATOR` The meta object id for the '`Or Operator`' class.
    `static int` | `OR_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Or Operator' class.
    `static int` | `PARAMETERIZED_PATTERN_CALL` The meta object id for the '`Parameterized Pattern Call`' class.
    `static int` | `PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN` The feature id for the 'Event Pattern' reference.
    `static int` | `PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST` The feature id for the 'Parameter List' containment reference.
    `static int` | `PARAMETERIZED_PATTERN_CALL_FEATURE_COUNT` The number of structural features of the 'Parameterized Pattern Call' class.
    `static int` | `PARAMETRIZED_QUERY_REFERENCE` The meta object id for the '`Parametrized Query Reference`' class.
    `static int` | `PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST` The feature id for the 'Parameter List' containment reference.
    `static int` | `PARAMETRIZED_QUERY_REFERENCE__QUERY` The feature id for the 'Query' reference.
    `static int` | `PARAMETRIZED_QUERY_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Parametrized Query Reference' class.
    `static int` | `PATTERN_CALL_PARAMETER` The meta object id for the '`Pattern Call Parameter`' class.
    `static int` | `PATTERN_CALL_PARAMETER__NAME` The feature id for the 'Name' attribute.
    `static int` | `PATTERN_CALL_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Pattern Call Parameter' class.
    `static int` | `PATTERN_CALL_PARAMETER_LIST` The meta object id for the '`Pattern Call Parameter List`' class.
    `static int` | `PATTERN_CALL_PARAMETER_LIST__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `PATTERN_CALL_PARAMETER_LIST_FEATURE_COUNT` The number of structural features of the 'Pattern Call Parameter List' class.
    `static int` | `QUERY_IMPORT` The meta object id for the '`Query Import`' class.
    `static int` | `QUERY_IMPORT__IMPORTED_NAMESPACE` The feature id for the 'Imported Namespace' attribute.
    `static int` | `QUERY_IMPORT_FEATURE_COUNT` The number of structural features of the 'Query Import' class.
    `static int` | `QUERY_RESULT_CHANGE_EVENT_PATTERN` The meta object id for the '`Query Result Change Event Pattern`' class.
    `static int` | `QUERY_RESULT_CHANGE_EVENT_PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `QUERY_RESULT_CHANGE_EVENT_PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference.
    `static int` | `QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE` The feature id for the 'Query Reference' containment reference.
    `static int` | `QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE` The feature id for the 'Result Change Type' attribute.
    `static int` | `QUERY_RESULT_CHANGE_EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Query Result Change Event Pattern' class.
    `static int` | `QUERY_RESULT_CHANGE_TYPE` The meta object id for the '`Query Result Change Type`' enum.
    `static int` | `RULE` The meta object id for the '`Rule`' class.
    `static int` | `RULE__ACTION` The feature id for the 'Action' containment reference.
    `static int` | `RULE__EVENT_PATTERNS` The feature id for the 'Event Patterns' containment reference list.
    `static int` | `RULE__NAME` The feature id for the 'Name' attribute.
    `static int` | `RULE_FEATURE_COUNT` The number of structural features of the 'Rule' class.
    `static int` | `TIMEWINDOW` The meta object id for the '`Timewindow`' class.
    `static int` | `TIMEWINDOW__LENGTH` The feature id for the 'Length' attribute.
    `static int` | `TIMEWINDOW_FEATURE_COUNT` The number of structural features of the 'Timewindow' class.
    `static int` | `TRAIT` The meta object id for the '`Trait`' class.
    `static int` | `TRAIT__NAME` The feature id for the 'Name' attribute.
    `static int` | `TRAIT__PARAMETERS` The feature id for the 'Parameters' containment reference.
    `static int` | `TRAIT_FEATURE_COUNT` The number of structural features of the 'Trait' class.
    `static int` | `TRAIT_LIST` The meta object id for the '`Trait List`' class.
    `static int` | `TRAIT_LIST__TRAITS` The feature id for the 'Traits' reference list.
    `static int` | `TRAIT_LIST_FEATURE_COUNT` The number of structural features of the 'Trait List' class.
    `static int` | `TRAIT_TYPED_PARAMETER_LIST` The meta object id for the '`Trait Typed Parameter List`' class.
    `static int` | `TRAIT_TYPED_PARAMETER_LIST__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `TRAIT_TYPED_PARAMETER_LIST_FEATURE_COUNT` The number of structural features of the 'Trait Typed Parameter List' class.
    `static int` | `TYPED_PARAMETER` The meta object id for the '`Typed Parameter`' class.
    `static int` | `TYPED_PARAMETER__NAME` The feature id for the 'Name' attribute.
    `static int` | `TYPED_PARAMETER__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `TYPED_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Typed Parameter' class.
    `static int` | `TYPED_PARAMETER_LIST` The meta object id for the '`Typed Parameter List`' class.
    `static int` | `TYPED_PARAMETER_LIST__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `TYPED_PARAMETER_LIST_FEATURE_COUNT` The number of structural features of the 'Typed Parameter List' class.
    `static int` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE` The meta object id for the '`Typed Parameter With Default Value`' class.
    `static int` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER` The feature id for the 'Typed Parameter' containment reference.
    `static int` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE` The feature id for the 'Value' containment reference.
    `static int` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE_FEATURE_COUNT` The number of structural features of the 'Typed Parameter With Default Value' class.
    `static int` | `UNARY_OPERATOR` The meta object id for the '`Unary Operator`' class.
    `static int` | `UNARY_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Unary Operator' class.
    `static int` | `UNTIL_OPERATOR` The meta object id for the '`Until Operator`' class.
    `static int` | `UNTIL_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Until Operator' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EClass` | `getAbstractAtomicEventPattern()` Returns the meta object for class '`Abstract Atomic Event Pattern`'.
    `org.eclipse.emf.ecore.EClass` | `getAbstractMultiplicity()` Returns the meta object for class '`Abstract Multiplicity`'.
    `org.eclipse.emf.ecore.EClass` | `getAndOperator()` Returns the meta object for class '`And Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getAtLeastOne()` Returns the meta object for class '`At Least One`'.
    `org.eclipse.emf.ecore.EReference` | `getAtom_PatternCall()` Returns the meta object for the containment reference '`Pattern Call`'.
    `org.eclipse.emf.ecore.EClass` | `getAtom()` Returns the meta object for class '`Atom`'.
    `org.eclipse.emf.ecore.EReference` | `getAtomicEventPattern_CheckExpression()` Returns the meta object for the containment reference '`Check Expression`'.
    `org.eclipse.emf.ecore.EReference` | `getAtomicEventPattern_Traits()` Returns the meta object for the containment reference '`Traits`'.
    `org.eclipse.emf.ecore.EClass` | `getAtomicEventPattern()` Returns the meta object for class '`Atomic Event Pattern`'.
    `org.eclipse.emf.ecore.EClass` | `getBinaryOperator()` Returns the meta object for class '`Binary Operator`'.
    `org.eclipse.emf.ecore.EReference` | `getChainedExpression_Expression()` Returns the meta object for the containment reference '`Expression`'.
    `org.eclipse.emf.ecore.EReference` | `getChainedExpression_Operator()` Returns the meta object for the containment reference '`Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getChainedExpression()` Returns the meta object for class '`Chained Expression`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Left()` Returns the meta object for the containment reference '`Left`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Multiplicity()` Returns the meta object for the containment reference '`Multiplicity`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_NegOperator()` Returns the meta object for the containment reference '`Neg Operator`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Right()` Returns the meta object for the containment reference list '`Right`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Timewindow()` Returns the meta object for the containment reference '`Timewindow`'.
    `org.eclipse.emf.ecore.EClass` | `getComplexEventExpression()` Returns the meta object for class '`Complex Event Expression`'.
    `org.eclipse.emf.ecore.EClass` | `getComplexEventOperator()` Returns the meta object for class '`Complex Event Operator`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_ComplexEventExpression()` Returns the meta object for the containment reference '`Complex Event Expression`'.
    `org.eclipse.emf.ecore.EAttribute` | `getComplexEventPattern_Context()` Returns the meta object for the attribute '`Context`'.
    `org.eclipse.emf.ecore.EClass` | `getComplexEventPattern()` Returns the meta object for class '`Complex Event Pattern`'.
    `org.eclipse.emf.ecore.EEnum` | `getContextEnum()` Returns the meta object for enum '`Context Enum`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEventModel_Context()` Returns the meta object for the attribute '`Context`'.
    `org.eclipse.emf.ecore.EReference` | `getEventModel_Imports()` Returns the meta object for the containment reference list '`Imports`'.
    `org.eclipse.emf.ecore.EReference` | `getEventModel_ModelElements()` Returns the meta object for the containment reference list '`Model Elements`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEventModel_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getEventModel()` Returns the meta object for class '`Event Model`'.
    `org.eclipse.emf.ecore.EReference` | `getEventPattern_Parameters()` Returns the meta object for the containment reference '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getEventPattern()` Returns the meta object for class '`Event Pattern`'.
    `org.eclipse.emf.ecore.EClass` | `getFollowsOperator()` Returns the meta object for class '`Follows Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getGenericImport()` Returns the meta object for class '`Generic Import`'.
    `org.eclipse.emf.ecore.EAttribute` | `getImport_ImportedNamespace()` Returns the meta object for the attribute '`Imported Namespace`'.
    `org.eclipse.emf.ecore.EClass` | `getImport()` Returns the meta object for class '`Import`'.
    `org.eclipse.emf.ecore.EClass` | `getInfinite()` Returns the meta object for class '`Infinite`'.
    `org.eclipse.emf.ecore.EAttribute` | `getModelElement_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getModelElement()` Returns the meta object for class '`Model Element`'.
    `org.eclipse.emf.ecore.EAttribute` | `getMultiplicity_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getMultiplicity()` Returns the meta object for class '`Multiplicity`'.
    `org.eclipse.emf.ecore.EClass` | `getNegOperator()` Returns the meta object for class '`Neg Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getOrOperator()` Returns the meta object for class '`Or Operator`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterizedPatternCall_EventPattern()` Returns the meta object for the reference '`Event Pattern`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterizedPatternCall_ParameterList()` Returns the meta object for the containment reference '`Parameter List`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterizedPatternCall()` Returns the meta object for class '`Parameterized Pattern Call`'.
    `org.eclipse.emf.ecore.EReference` | `getParametrizedQueryReference_ParameterList()` Returns the meta object for the containment reference '`Parameter List`'.
    `org.eclipse.emf.ecore.EReference` | `getParametrizedQueryReference_Query()` Returns the meta object for the reference '`Query`'.
    `org.eclipse.emf.ecore.EClass` | `getParametrizedQueryReference()` Returns the meta object for class '`Parametrized Query Reference`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCallParameter_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternCallParameter()` Returns the meta object for class '`Pattern Call Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCallParameterList_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternCallParameterList()` Returns the meta object for class '`Pattern Call Parameter List`'.
    `org.eclipse.emf.ecore.EClass` | `getQueryImport()` Returns the meta object for class '`Query Import`'.
    `org.eclipse.emf.ecore.EReference` | `getQueryResultChangeEventPattern_QueryReference()` Returns the meta object for the containment reference '`Query Reference`'.
    `org.eclipse.emf.ecore.EAttribute` | `getQueryResultChangeEventPattern_ResultChangeType()` Returns the meta object for the attribute '`Result Change Type`'.
    `org.eclipse.emf.ecore.EClass` | `getQueryResultChangeEventPattern()` Returns the meta object for class '`Query Result Change Event Pattern`'.
    `org.eclipse.emf.ecore.EEnum` | `getQueryResultChangeType()` Returns the meta object for enum '`Query Result Change Type`'.
    `org.eclipse.emf.ecore.EReference` | `getRule_Action()` Returns the meta object for the containment reference '`Action`'.
    `org.eclipse.emf.ecore.EReference` | `getRule_EventPatterns()` Returns the meta object for the containment reference list '`Event Patterns`'.
    `org.eclipse.emf.ecore.EClass` | `getRule()` Returns the meta object for class '`Rule`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimewindow_Length()` Returns the meta object for the attribute '`Length`'.
    `org.eclipse.emf.ecore.EClass` | `getTimewindow()` Returns the meta object for class '`Timewindow`'.
    `org.eclipse.emf.ecore.EReference` | `getTrait_Parameters()` Returns the meta object for the containment reference '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getTrait()` Returns the meta object for class '`Trait`'.
    `org.eclipse.emf.ecore.EReference` | `getTraitList_Traits()` Returns the meta object for the reference list '`Traits`'.
    `org.eclipse.emf.ecore.EClass` | `getTraitList()` Returns the meta object for class '`Trait List`'.
    `org.eclipse.emf.ecore.EReference` | `getTraitTypedParameterList_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getTraitTypedParameterList()` Returns the meta object for class '`Trait Typed Parameter List`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTypedParameter_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedParameter_Type()` Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getTypedParameter()` Returns the meta object for class '`Typed Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedParameterList_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getTypedParameterList()` Returns the meta object for class '`Typed Parameter List`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedParameterWithDefaultValue_TypedParameter()` Returns the meta object for the containment reference '`Typed Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedParameterWithDefaultValue_Value()` Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getTypedParameterWithDefaultValue()` Returns the meta object for class '`Typed Parameter With Default Value`'.
    `org.eclipse.emf.ecore.EClass` | `getUnaryOperator()` Returns the meta object for class '`Unary Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getUntilOperator()` Returns the meta object for class '`Until Operator`'.
    `VeplFactory` | `getVeplFactory()` Returns the factory that creates the instances of the model.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final VeplPackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### EVENT_MODEL

          static final int EVENT_MODEL

      The meta object id for the '`Event Model`' class.
      See Also:
        `EventModelImpl`, `VeplPackageImpl.getEventModel()`, Constant Field Values
      Generated:

    - #### EVENT_MODEL__NAME

          static final int EVENT_MODEL__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_MODEL__IMPORTS

          static final int EVENT_MODEL__IMPORTS

      The feature id for the 'Imports' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_MODEL__CONTEXT

          static final int EVENT_MODEL__CONTEXT

      The feature id for the 'Context' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_MODEL__MODEL_ELEMENTS

          static final int EVENT_MODEL__MODEL_ELEMENTS

      The feature id for the 'Model Elements' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_MODEL_FEATURE_COUNT

          static final int EVENT_MODEL_FEATURE_COUNT

      The number of structural features of the 'Event Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### IMPORT

          static final int IMPORT

      The meta object id for the '`Import`' class.
      See Also:
        `ImportImpl`, `VeplPackageImpl.getImport()`, Constant Field Values
      Generated:

    - #### IMPORT__IMPORTED_NAMESPACE

          static final int IMPORT__IMPORTED_NAMESPACE

      The feature id for the 'Imported Namespace' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### IMPORT_FEATURE_COUNT

          static final int IMPORT_FEATURE_COUNT

      The number of structural features of the 'Import' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GENERIC_IMPORT

          static final int GENERIC_IMPORT

      The meta object id for the '`Generic Import`' class.
      See Also:
        `GenericImportImpl`, `VeplPackageImpl.getGenericImport()`, Constant Field Values
      Generated:

    - #### GENERIC_IMPORT__IMPORTED_NAMESPACE

          static final int GENERIC_IMPORT__IMPORTED_NAMESPACE

      The feature id for the 'Imported Namespace' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GENERIC_IMPORT_FEATURE_COUNT

          static final int GENERIC_IMPORT_FEATURE_COUNT

      The number of structural features of the 'Generic Import' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_IMPORT

          static final int QUERY_IMPORT

      The meta object id for the '`Query Import`' class.
      See Also:
        `QueryImportImpl`, `VeplPackageImpl.getQueryImport()`, Constant Field Values
      Generated:

    - #### QUERY_IMPORT__IMPORTED_NAMESPACE

          static final int QUERY_IMPORT__IMPORTED_NAMESPACE

      The feature id for the 'Imported Namespace' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_IMPORT_FEATURE_COUNT

          static final int QUERY_IMPORT_FEATURE_COUNT

      The number of structural features of the 'Query Import' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MODEL_ELEMENT

          static final int MODEL_ELEMENT

      The meta object id for the '`Model Element`' class.
      See Also:
        `ModelElementImpl`, `VeplPackageImpl.getModelElement()`, Constant Field Values
      Generated:

    - #### MODEL_ELEMENT__NAME

          static final int MODEL_ELEMENT__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MODEL_ELEMENT_FEATURE_COUNT

          static final int MODEL_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Model Element' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT

          static final int TRAIT

      The meta object id for the '`Trait`' class.
      See Also:
        `TraitImpl`, `VeplPackageImpl.getTrait()`, Constant Field Values
      Generated:

    - #### TRAIT__NAME

          static final int TRAIT__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT__PARAMETERS

          static final int TRAIT__PARAMETERS

      The feature id for the 'Parameters' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT_FEATURE_COUNT

          static final int TRAIT_FEATURE_COUNT

      The number of structural features of the 'Trait' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN

          static final int EVENT_PATTERN

      The meta object id for the '`Event Pattern`' class.
      See Also:
        `EventPatternImpl`, `VeplPackageImpl.getEventPattern()`, Constant Field Values
      Generated:

    - #### EVENT_PATTERN__NAME

          static final int EVENT_PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN__PARAMETERS

          static final int EVENT_PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_FEATURE_COUNT

          static final int EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ABSTRACT_ATOMIC_EVENT_PATTERN

          static final int ABSTRACT_ATOMIC_EVENT_PATTERN

      The meta object id for the '`Abstract Atomic Event Pattern`' class.
      See Also:
        `AbstractAtomicEventPatternImpl`, `VeplPackageImpl.getAbstractAtomicEventPattern()`, Constant Field Values
      Generated:

    - #### ABSTRACT_ATOMIC_EVENT_PATTERN__NAME

          static final int ABSTRACT_ATOMIC_EVENT_PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ABSTRACT_ATOMIC_EVENT_PATTERN__PARAMETERS

          static final int ABSTRACT_ATOMIC_EVENT_PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ABSTRACT_ATOMIC_EVENT_PATTERN_FEATURE_COUNT

          static final int ABSTRACT_ATOMIC_EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Abstract Atomic Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN

          static final int ATOMIC_EVENT_PATTERN

      The meta object id for the '`Atomic Event Pattern`' class.
      See Also:
        `AtomicEventPatternImpl`, `VeplPackageImpl.getAtomicEventPattern()`, Constant Field Values
      Generated:

    - #### ATOMIC_EVENT_PATTERN__NAME

          static final int ATOMIC_EVENT_PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__PARAMETERS

          static final int ATOMIC_EVENT_PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__TRAITS

          static final int ATOMIC_EVENT_PATTERN__TRAITS

      The feature id for the 'Traits' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION

          static final int ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION

      The feature id for the 'Check Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN_FEATURE_COUNT

          static final int ATOMIC_EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Atomic Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN

          static final int QUERY_RESULT_CHANGE_EVENT_PATTERN

      The meta object id for the '`Query Result Change Event Pattern`' class.
      See Also:
        `QueryResultChangeEventPatternImpl`, `VeplPackageImpl.getQueryResultChangeEventPattern()`, Constant Field Values
      Generated:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN__NAME

          static final int QUERY_RESULT_CHANGE_EVENT_PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN__PARAMETERS

          static final int QUERY_RESULT_CHANGE_EVENT_PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE

          static final int QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE

      The feature id for the 'Query Reference' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE

          static final int QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE

      The feature id for the 'Result Change Type' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN_FEATURE_COUNT

          static final int QUERY_RESULT_CHANGE_EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Query Result Change Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN

          static final int COMPLEX_EVENT_PATTERN

      The meta object id for the '`Complex Event Pattern`' class.
      See Also:
        `ComplexEventPatternImpl`, `VeplPackageImpl.getComplexEventPattern()`, Constant Field Values
      Generated:

    - #### COMPLEX_EVENT_PATTERN__NAME

          static final int COMPLEX_EVENT_PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__PARAMETERS

          static final int COMPLEX_EVENT_PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION

          static final int COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION

      The feature id for the 'Complex Event Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__CONTEXT

          static final int COMPLEX_EVENT_PATTERN__CONTEXT

      The feature id for the 'Context' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN_FEATURE_COUNT

          static final int COMPLEX_EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Complex Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RULE

          static final int RULE

      The meta object id for the '`Rule`' class.
      See Also:
        `RuleImpl`, `VeplPackageImpl.getRule()`, Constant Field Values
      Generated:

    - #### RULE__NAME

          static final int RULE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RULE__EVENT_PATTERNS

          static final int RULE__EVENT_PATTERNS

      The feature id for the 'Event Patterns' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RULE__ACTION

          static final int RULE__ACTION

      The feature id for the 'Action' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RULE_FEATURE_COUNT

          static final int RULE_FEATURE_COUNT

      The number of structural features of the 'Rule' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT_LIST

          static final int TRAIT_LIST

      The meta object id for the '`Trait List`' class.
      See Also:
        `TraitListImpl`, `VeplPackageImpl.getTraitList()`, Constant Field Values
      Generated:

    - #### TRAIT_LIST__TRAITS

          static final int TRAIT_LIST__TRAITS

      The feature id for the 'Traits' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT_LIST_FEATURE_COUNT

          static final int TRAIT_LIST_FEATURE_COUNT

      The number of structural features of the 'Trait List' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER_LIST

          static final int TYPED_PARAMETER_LIST

      The meta object id for the '`Typed Parameter List`' class.
      See Also:
        `TypedParameterListImpl`, `VeplPackageImpl.getTypedParameterList()`, Constant Field Values
      Generated:

    - #### TYPED_PARAMETER_LIST__PARAMETERS

          static final int TYPED_PARAMETER_LIST__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER_LIST_FEATURE_COUNT

          static final int TYPED_PARAMETER_LIST_FEATURE_COUNT

      The number of structural features of the 'Typed Parameter List' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER

          static final int TYPED_PARAMETER

      The meta object id for the '`Typed Parameter`' class.
      See Also:
        `TypedParameterImpl`, `VeplPackageImpl.getTypedParameter()`, Constant Field Values
      Generated:

    - #### TYPED_PARAMETER__NAME

          static final int TYPED_PARAMETER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER__TYPE

          static final int TYPED_PARAMETER__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER_FEATURE_COUNT

          static final int TYPED_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Typed Parameter' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE

          static final int TYPED_PARAMETER_WITH_DEFAULT_VALUE

      The meta object id for the '`Typed Parameter With Default Value`' class.
      See Also:
        `TypedParameterWithDefaultValueImpl`, `VeplPackageImpl.getTypedParameterWithDefaultValue()`, Constant Field Values
      Generated:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER

          static final int TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER

      The feature id for the 'Typed Parameter' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE

          static final int TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE_FEATURE_COUNT

          static final int TYPED_PARAMETER_WITH_DEFAULT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Typed Parameter With Default Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT_TYPED_PARAMETER_LIST

          static final int TRAIT_TYPED_PARAMETER_LIST

      The meta object id for the '`Trait Typed Parameter List`' class.
      See Also:
        `TraitTypedParameterListImpl`, `VeplPackageImpl.getTraitTypedParameterList()`, Constant Field Values
      Generated:

    - #### TRAIT_TYPED_PARAMETER_LIST__PARAMETERS

          static final int TRAIT_TYPED_PARAMETER_LIST__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRAIT_TYPED_PARAMETER_LIST_FEATURE_COUNT

          static final int TRAIT_TYPED_PARAMETER_LIST_FEATURE_COUNT

      The number of structural features of the 'Trait Typed Parameter List' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETRIZED_QUERY_REFERENCE

          static final int PARAMETRIZED_QUERY_REFERENCE

      The meta object id for the '`Parametrized Query Reference`' class.
      See Also:
        `ParametrizedQueryReferenceImpl`, `VeplPackageImpl.getParametrizedQueryReference()`, Constant Field Values
      Generated:

    - #### PARAMETRIZED_QUERY_REFERENCE__QUERY

          static final int PARAMETRIZED_QUERY_REFERENCE__QUERY

      The feature id for the 'Query' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST

          static final int PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST

      The feature id for the 'Parameter List' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETRIZED_QUERY_REFERENCE_FEATURE_COUNT

          static final int PARAMETRIZED_QUERY_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Parametrized Query Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_EXPRESSION

          static final int COMPLEX_EVENT_EXPRESSION

      The meta object id for the '`Complex Event Expression`' class.
      See Also:
        `ComplexEventExpressionImpl`, `VeplPackageImpl.getComplexEventExpression()`, Constant Field Values
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION__LEFT

          static final int COMPLEX_EVENT_EXPRESSION__LEFT

      The feature id for the 'Left' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_EXPRESSION__RIGHT

          static final int COMPLEX_EVENT_EXPRESSION__RIGHT

      The feature id for the 'Right' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_EXPRESSION__MULTIPLICITY

          static final int COMPLEX_EVENT_EXPRESSION__MULTIPLICITY

      The feature id for the 'Multiplicity' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_EXPRESSION__TIMEWINDOW

          static final int COMPLEX_EVENT_EXPRESSION__TIMEWINDOW

      The feature id for the 'Timewindow' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR

          static final int COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR

      The feature id for the 'Neg Operator' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_EXPRESSION_FEATURE_COUNT

          static final int COMPLEX_EVENT_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Complex Event Expression' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHAINED_EXPRESSION

          static final int CHAINED_EXPRESSION

      The meta object id for the '`Chained Expression`' class.
      See Also:
        `ChainedExpressionImpl`, `VeplPackageImpl.getChainedExpression()`, Constant Field Values
      Generated:

    - #### CHAINED_EXPRESSION__OPERATOR

          static final int CHAINED_EXPRESSION__OPERATOR

      The feature id for the 'Operator' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHAINED_EXPRESSION__EXPRESSION

          static final int CHAINED_EXPRESSION__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHAINED_EXPRESSION_FEATURE_COUNT

          static final int CHAINED_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Chained Expression' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM

          static final int ATOM

      The meta object id for the '`Atom`' class.
      See Also:
        `AtomImpl`, `VeplPackageImpl.getAtom()`, Constant Field Values
      Generated:

    - #### ATOM__LEFT

          static final int ATOM__LEFT

      The feature id for the 'Left' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM__RIGHT

          static final int ATOM__RIGHT

      The feature id for the 'Right' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM__MULTIPLICITY

          static final int ATOM__MULTIPLICITY

      The feature id for the 'Multiplicity' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM__TIMEWINDOW

          static final int ATOM__TIMEWINDOW

      The feature id for the 'Timewindow' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM__NEG_OPERATOR

          static final int ATOM__NEG_OPERATOR

      The feature id for the 'Neg Operator' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM__PATTERN_CALL

          static final int ATOM__PATTERN_CALL

      The feature id for the 'Pattern Call' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOM_FEATURE_COUNT

          static final int ATOM_FEATURE_COUNT

      The number of structural features of the 'Atom' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ABSTRACT_MULTIPLICITY

          static final int ABSTRACT_MULTIPLICITY

      The meta object id for the '`Abstract Multiplicity`' class.
      See Also:
        `AbstractMultiplicityImpl`, `VeplPackageImpl.getAbstractMultiplicity()`, Constant Field Values
      Generated:

    - #### ABSTRACT_MULTIPLICITY_FEATURE_COUNT

          static final int ABSTRACT_MULTIPLICITY_FEATURE_COUNT

      The number of structural features of the 'Abstract Multiplicity' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMEWINDOW

          static final int TIMEWINDOW

      The meta object id for the '`Timewindow`' class.
      See Also:
        `TimewindowImpl`, `VeplPackageImpl.getTimewindow()`, Constant Field Values
      Generated:

    - #### TIMEWINDOW__LENGTH

          static final int TIMEWINDOW__LENGTH

      The feature id for the 'Length' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMEWINDOW_FEATURE_COUNT

          static final int TIMEWINDOW_FEATURE_COUNT

      The number of structural features of the 'Timewindow' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETERIZED_PATTERN_CALL

          static final int PARAMETERIZED_PATTERN_CALL

      The meta object id for the '`Parameterized Pattern Call`' class.
      See Also:
        `ParameterizedPatternCallImpl`, `VeplPackageImpl.getParameterizedPatternCall()`, Constant Field Values
      Generated:

    - #### PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN

          static final int PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN

      The feature id for the 'Event Pattern' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST

          static final int PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST

      The feature id for the 'Parameter List' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETERIZED_PATTERN_CALL_FEATURE_COUNT

          static final int PARAMETERIZED_PATTERN_CALL_FEATURE_COUNT

      The number of structural features of the 'Parameterized Pattern Call' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL_PARAMETER_LIST

          static final int PATTERN_CALL_PARAMETER_LIST

      The meta object id for the '`Pattern Call Parameter List`' class.
      See Also:
        `PatternCallParameterListImpl`, `VeplPackageImpl.getPatternCallParameterList()`, Constant Field Values
      Generated:

    - #### PATTERN_CALL_PARAMETER_LIST__PARAMETERS

          static final int PATTERN_CALL_PARAMETER_LIST__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL_PARAMETER_LIST_FEATURE_COUNT

          static final int PATTERN_CALL_PARAMETER_LIST_FEATURE_COUNT

      The number of structural features of the 'Pattern Call Parameter List' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL_PARAMETER

          static final int PATTERN_CALL_PARAMETER

      The meta object id for the '`Pattern Call Parameter`' class.
      See Also:
        `PatternCallParameterImpl`, `VeplPackageImpl.getPatternCallParameter()`, Constant Field Values
      Generated:

    - #### PATTERN_CALL_PARAMETER__NAME

          static final int PATTERN_CALL_PARAMETER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL_PARAMETER_FEATURE_COUNT

          static final int PATTERN_CALL_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Pattern Call Parameter' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_OPERATOR

          static final int COMPLEX_EVENT_OPERATOR

      The meta object id for the '`Complex Event Operator`' class.
      See Also:
        `ComplexEventOperatorImpl`, `VeplPackageImpl.getComplexEventOperator()`, Constant Field Values
      Generated:

    - #### COMPLEX_EVENT_OPERATOR_FEATURE_COUNT

          static final int COMPLEX_EVENT_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Complex Event Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BINARY_OPERATOR

          static final int BINARY_OPERATOR

      The meta object id for the '`Binary Operator`' class.
      See Also:
        `BinaryOperatorImpl`, `VeplPackageImpl.getBinaryOperator()`, Constant Field Values
      Generated:

    - #### BINARY_OPERATOR_FEATURE_COUNT

          static final int BINARY_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Binary Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNARY_OPERATOR

          static final int UNARY_OPERATOR

      The meta object id for the '`Unary Operator`' class.
      See Also:
        `UnaryOperatorImpl`, `VeplPackageImpl.getUnaryOperator()`, Constant Field Values
      Generated:

    - #### UNARY_OPERATOR_FEATURE_COUNT

          static final int UNARY_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Unary Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FOLLOWS_OPERATOR

          static final int FOLLOWS_OPERATOR

      The meta object id for the '`Follows Operator`' class.
      See Also:
        `FollowsOperatorImpl`, `VeplPackageImpl.getFollowsOperator()`, Constant Field Values
      Generated:

    - #### FOLLOWS_OPERATOR_FEATURE_COUNT

          static final int FOLLOWS_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Follows Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### OR_OPERATOR

          static final int OR_OPERATOR

      The meta object id for the '`Or Operator`' class.
      See Also:
        `OrOperatorImpl`, `VeplPackageImpl.getOrOperator()`, Constant Field Values
      Generated:

    - #### OR_OPERATOR_FEATURE_COUNT

          static final int OR_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Or Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AND_OPERATOR

          static final int AND_OPERATOR

      The meta object id for the '`And Operator`' class.
      See Also:
        `AndOperatorImpl`, `VeplPackageImpl.getAndOperator()`, Constant Field Values
      Generated:

    - #### AND_OPERATOR_FEATURE_COUNT

          static final int AND_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'And Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNTIL_OPERATOR

          static final int UNTIL_OPERATOR

      The meta object id for the '`Until Operator`' class.
      See Also:
        `UntilOperatorImpl`, `VeplPackageImpl.getUntilOperator()`, Constant Field Values
      Generated:

    - #### UNTIL_OPERATOR_FEATURE_COUNT

          static final int UNTIL_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Until Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEG_OPERATOR

          static final int NEG_OPERATOR

      The meta object id for the '`Neg Operator`' class.
      See Also:
        `NegOperatorImpl`, `VeplPackageImpl.getNegOperator()`, Constant Field Values
      Generated:

    - #### NEG_OPERATOR_FEATURE_COUNT

          static final int NEG_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Neg Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTIPLICITY

          static final int MULTIPLICITY

      The meta object id for the '`Multiplicity`' class.
      See Also:
        `MultiplicityImpl`, `VeplPackageImpl.getMultiplicity()`, Constant Field Values
      Generated:

    - #### MULTIPLICITY__VALUE

          static final int MULTIPLICITY__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTIPLICITY_FEATURE_COUNT

          static final int MULTIPLICITY_FEATURE_COUNT

      The number of structural features of the 'Multiplicity' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INFINITE

          static final int INFINITE

      The meta object id for the '`Infinite`' class.
      See Also:
        `InfiniteImpl`, `VeplPackageImpl.getInfinite()`, Constant Field Values
      Generated:

    - #### INFINITE_FEATURE_COUNT

          static final int INFINITE_FEATURE_COUNT

      The number of structural features of the 'Infinite' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AT_LEAST_ONE

          static final int AT_LEAST_ONE

      The meta object id for the '`At Least One`' class.
      See Also:
        `AtLeastOneImpl`, `VeplPackageImpl.getAtLeastOne()`, Constant Field Values
      Generated:

    - #### AT_LEAST_ONE_FEATURE_COUNT

          static final int AT_LEAST_ONE_FEATURE_COUNT

      The number of structural features of the 'At Least One' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTEXT_ENUM

          static final int CONTEXT_ENUM

      The meta object id for the '`Context Enum`' enum.
      See Also:
        `ContextEnum`, `VeplPackageImpl.getContextEnum()`, Constant Field Values
      Generated:

    - #### QUERY_RESULT_CHANGE_TYPE

          static final int QUERY_RESULT_CHANGE_TYPE

      The meta object id for the '`Query Result Change Type`' enum.
      See Also:
        `QueryResultChangeType`, `VeplPackageImpl.getQueryResultChangeType()`, Constant Field Values
      Generated:

  - ### Method Detail

    - #### getEventModel

          org.eclipse.emf.ecore.EClass getEventModel()

      Returns the meta object for class '`Event Model`'.
      Returns:
        the meta object for class 'Event Model'.
      See Also:
        `EventModel`
      Generated:

    - #### getEventModel_Name

          org.eclipse.emf.ecore.EAttribute getEventModel_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `EventModel.getName()`, `getEventModel()`
      Generated:

    - #### getEventModel_Imports

          org.eclipse.emf.ecore.EReference getEventModel_Imports()

      Returns the meta object for the containment reference list '`Imports`'.
      Returns:
        the meta object for the containment reference list 'Imports'.
      See Also:
        `EventModel.getImports()`, `getEventModel()`
      Generated:

    - #### getEventModel_Context

          org.eclipse.emf.ecore.EAttribute getEventModel_Context()

      Returns the meta object for the attribute '`Context`'.
      Returns:
        the meta object for the attribute 'Context'.
      See Also:
        `EventModel.getContext()`, `getEventModel()`
      Generated:

    - #### getEventModel_ModelElements

          org.eclipse.emf.ecore.EReference getEventModel_ModelElements()

      Returns the meta object for the containment reference list '`Model Elements`'.
      Returns:
        the meta object for the containment reference list 'Model Elements'.
      See Also:
        `EventModel.getModelElements()`, `getEventModel()`
      Generated:

    - #### getImport

          org.eclipse.emf.ecore.EClass getImport()

      Returns the meta object for class '`Import`'.
      Returns:
        the meta object for class 'Import'.
      See Also:
        `Import`
      Generated:

    - #### getImport_ImportedNamespace

          org.eclipse.emf.ecore.EAttribute getImport_ImportedNamespace()

      Returns the meta object for the attribute '`Imported Namespace`'.
      Returns:
        the meta object for the attribute 'Imported Namespace'.
      See Also:
        `Import.getImportedNamespace()`, `getImport()`
      Generated:

    - #### getGenericImport

          org.eclipse.emf.ecore.EClass getGenericImport()

      Returns the meta object for class '`Generic Import`'.
      Returns:
        the meta object for class 'Generic Import'.
      See Also:
        `GenericImport`
      Generated:

    - #### getQueryImport

          org.eclipse.emf.ecore.EClass getQueryImport()

      Returns the meta object for class '`Query Import`'.
      Returns:
        the meta object for class 'Query Import'.
      See Also:
        `QueryImport`
      Generated:

    - #### getModelElement

          org.eclipse.emf.ecore.EClass getModelElement()

      Returns the meta object for class '`Model Element`'.
      Returns:
        the meta object for class 'Model Element'.
      See Also:
        `ModelElement`
      Generated:

    - #### getModelElement_Name

          org.eclipse.emf.ecore.EAttribute getModelElement_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `ModelElement.getName()`, `getModelElement()`
      Generated:

    - #### getTrait

          org.eclipse.emf.ecore.EClass getTrait()

      Returns the meta object for class '`Trait`'.
      Returns:
        the meta object for class 'Trait'.
      See Also:
        `Trait`
      Generated:

    - #### getTrait_Parameters

          org.eclipse.emf.ecore.EReference getTrait_Parameters()

      Returns the meta object for the containment reference '`Parameters`'.
      Returns:
        the meta object for the containment reference 'Parameters'.
      See Also:
        `Trait.getParameters()`, `getTrait()`
      Generated:

    - #### getEventPattern

          org.eclipse.emf.ecore.EClass getEventPattern()

      Returns the meta object for class '`Event Pattern`'.
      Returns:
        the meta object for class 'Event Pattern'.
      See Also:
        `EventPattern`
      Generated:

    - #### getEventPattern_Parameters

          org.eclipse.emf.ecore.EReference getEventPattern_Parameters()

      Returns the meta object for the containment reference '`Parameters`'.
      Returns:
        the meta object for the containment reference 'Parameters'.
      See Also:
        `EventPattern.getParameters()`, `getEventPattern()`
      Generated:

    - #### getAbstractAtomicEventPattern

          org.eclipse.emf.ecore.EClass getAbstractAtomicEventPattern()

      Returns the meta object for class '`Abstract Atomic Event Pattern`'.
      Returns:
        the meta object for class 'Abstract Atomic Event Pattern'.
      See Also:
        `AbstractAtomicEventPattern`
      Generated:

    - #### getAtomicEventPattern

          org.eclipse.emf.ecore.EClass getAtomicEventPattern()

      Returns the meta object for class '`Atomic Event Pattern`'.
      Returns:
        the meta object for class 'Atomic Event Pattern'.
      See Also:
        `AtomicEventPattern`
      Generated:

    - #### getAtomicEventPattern_Traits

          org.eclipse.emf.ecore.EReference getAtomicEventPattern_Traits()

      Returns the meta object for the containment reference '`Traits`'.
      Returns:
        the meta object for the containment reference 'Traits'.
      See Also:
        `AtomicEventPattern.getTraits()`, `getAtomicEventPattern()`
      Generated:

    - #### getAtomicEventPattern_CheckExpression

          org.eclipse.emf.ecore.EReference getAtomicEventPattern_CheckExpression()

      Returns the meta object for the containment reference '`Check Expression`'.
      Returns:
        the meta object for the containment reference 'Check Expression'.
      See Also:
        `AtomicEventPattern.getCheckExpression()`, `getAtomicEventPattern()`
      Generated:

    - #### getQueryResultChangeEventPattern

          org.eclipse.emf.ecore.EClass getQueryResultChangeEventPattern()

      Returns the meta object for class '`Query Result Change Event Pattern`'.
      Returns:
        the meta object for class 'Query Result Change Event Pattern'.
      See Also:
        `QueryResultChangeEventPattern`
      Generated:

    - #### getQueryResultChangeEventPattern_QueryReference

          org.eclipse.emf.ecore.EReference getQueryResultChangeEventPattern_QueryReference()

      Returns the meta object for the containment reference '`Query Reference`'.
      Returns:
        the meta object for the containment reference 'Query Reference'.
      See Also:
        `QueryResultChangeEventPattern.getQueryReference()`, `getQueryResultChangeEventPattern()`
      Generated:

    - #### getQueryResultChangeEventPattern_ResultChangeType

          org.eclipse.emf.ecore.EAttribute getQueryResultChangeEventPattern_ResultChangeType()

      Returns the meta object for the attribute '`Result Change Type`'.
      Returns:
        the meta object for the attribute 'Result Change Type'.
      See Also:
        `QueryResultChangeEventPattern.getResultChangeType()`, `getQueryResultChangeEventPattern()`
      Generated:

    - #### getComplexEventPattern

          org.eclipse.emf.ecore.EClass getComplexEventPattern()

      Returns the meta object for class '`Complex Event Pattern`'.
      Returns:
        the meta object for class 'Complex Event Pattern'.
      See Also:
        `ComplexEventPattern`
      Generated:

    - #### getComplexEventPattern_ComplexEventExpression

          org.eclipse.emf.ecore.EReference getComplexEventPattern_ComplexEventExpression()

      Returns the meta object for the containment reference '`Complex Event Expression`'.
      Returns:
        the meta object for the containment reference 'Complex Event Expression'.
      See Also:
        `ComplexEventPattern.getComplexEventExpression()`, `getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_Context

          org.eclipse.emf.ecore.EAttribute getComplexEventPattern_Context()

      Returns the meta object for the attribute '`Context`'.
      Returns:
        the meta object for the attribute 'Context'.
      See Also:
        `ComplexEventPattern.getContext()`, `getComplexEventPattern()`
      Generated:

    - #### getRule

          org.eclipse.emf.ecore.EClass getRule()

      Returns the meta object for class '`Rule`'.
      Returns:
        the meta object for class 'Rule'.
      See Also:
        `Rule`
      Generated:

    - #### getRule_EventPatterns

          org.eclipse.emf.ecore.EReference getRule_EventPatterns()

      Returns the meta object for the containment reference list '`Event Patterns`'.
      Returns:
        the meta object for the containment reference list 'Event Patterns'.
      See Also:
        `Rule.getEventPatterns()`, `getRule()`
      Generated:

    - #### getRule_Action

          org.eclipse.emf.ecore.EReference getRule_Action()

      Returns the meta object for the containment reference '`Action`'.
      Returns:
        the meta object for the containment reference 'Action'.
      See Also:
        `Rule.getAction()`, `getRule()`
      Generated:

    - #### getTraitList

          org.eclipse.emf.ecore.EClass getTraitList()

      Returns the meta object for class '`Trait List`'.
      Returns:
        the meta object for class 'Trait List'.
      See Also:
        `TraitList`
      Generated:

    - #### getTraitList_Traits

          org.eclipse.emf.ecore.EReference getTraitList_Traits()

      Returns the meta object for the reference list '`Traits`'.
      Returns:
        the meta object for the reference list 'Traits'.
      See Also:
        `TraitList.getTraits()`, `getTraitList()`
      Generated:

    - #### getTypedParameterList

          org.eclipse.emf.ecore.EClass getTypedParameterList()

      Returns the meta object for class '`Typed Parameter List`'.
      Returns:
        the meta object for class 'Typed Parameter List'.
      See Also:
        `TypedParameterList`
      Generated:

    - #### getTypedParameterList_Parameters

          org.eclipse.emf.ecore.EReference getTypedParameterList_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TypedParameterList.getParameters()`, `getTypedParameterList()`
      Generated:

    - #### getTypedParameter

          org.eclipse.emf.ecore.EClass getTypedParameter()

      Returns the meta object for class '`Typed Parameter`'.
      Returns:
        the meta object for class 'Typed Parameter'.
      See Also:
        `TypedParameter`
      Generated:

    - #### getTypedParameter_Name

          org.eclipse.emf.ecore.EAttribute getTypedParameter_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `TypedParameter.getName()`, `getTypedParameter()`
      Generated:

    - #### getTypedParameter_Type

          org.eclipse.emf.ecore.EReference getTypedParameter_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `TypedParameter.getType()`, `getTypedParameter()`
      Generated:

    - #### getTypedParameterWithDefaultValue

          org.eclipse.emf.ecore.EClass getTypedParameterWithDefaultValue()

      Returns the meta object for class '`Typed Parameter With Default Value`'.
      Returns:
        the meta object for class 'Typed Parameter With Default Value'.
      See Also:
        `TypedParameterWithDefaultValue`
      Generated:

    - #### getTypedParameterWithDefaultValue_TypedParameter

          org.eclipse.emf.ecore.EReference getTypedParameterWithDefaultValue_TypedParameter()

      Returns the meta object for the containment reference '`Typed Parameter`'.
      Returns:
        the meta object for the containment reference 'Typed Parameter'.
      See Also:
        `TypedParameterWithDefaultValue.getTypedParameter()`, `getTypedParameterWithDefaultValue()`
      Generated:

    - #### getTypedParameterWithDefaultValue_Value

          org.eclipse.emf.ecore.EReference getTypedParameterWithDefaultValue_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `TypedParameterWithDefaultValue.getValue()`, `getTypedParameterWithDefaultValue()`
      Generated:

    - #### getTraitTypedParameterList

          org.eclipse.emf.ecore.EClass getTraitTypedParameterList()

      Returns the meta object for class '`Trait Typed Parameter List`'.
      Returns:
        the meta object for class 'Trait Typed Parameter List'.
      See Also:
        `TraitTypedParameterList`
      Generated:

    - #### getTraitTypedParameterList_Parameters

          org.eclipse.emf.ecore.EReference getTraitTypedParameterList_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TraitTypedParameterList.getParameters()`, `getTraitTypedParameterList()`
      Generated:

    - #### getParametrizedQueryReference

          org.eclipse.emf.ecore.EClass getParametrizedQueryReference()

      Returns the meta object for class '`Parametrized Query Reference`'.
      Returns:
        the meta object for class 'Parametrized Query Reference'.
      See Also:
        `ParametrizedQueryReference`
      Generated:

    - #### getParametrizedQueryReference_Query

          org.eclipse.emf.ecore.EReference getParametrizedQueryReference_Query()

      Returns the meta object for the reference '`Query`'.
      Returns:
        the meta object for the reference 'Query'.
      See Also:
        `ParametrizedQueryReference.getQuery()`, `getParametrizedQueryReference()`
      Generated:

    - #### getParametrizedQueryReference_ParameterList

          org.eclipse.emf.ecore.EReference getParametrizedQueryReference_ParameterList()

      Returns the meta object for the containment reference '`Parameter List`'.
      Returns:
        the meta object for the containment reference 'Parameter List'.
      See Also:
        `ParametrizedQueryReference.getParameterList()`, `getParametrizedQueryReference()`
      Generated:

    - #### getComplexEventExpression

          org.eclipse.emf.ecore.EClass getComplexEventExpression()

      Returns the meta object for class '`Complex Event Expression`'.
      Returns:
        the meta object for class 'Complex Event Expression'.
      See Also:
        `ComplexEventExpression`
      Generated:

    - #### getComplexEventExpression_Left

          org.eclipse.emf.ecore.EReference getComplexEventExpression_Left()

      Returns the meta object for the containment reference '`Left`'.
      Returns:
        the meta object for the containment reference 'Left'.
      See Also:
        `ComplexEventExpression.getLeft()`, `getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_Right

          org.eclipse.emf.ecore.EReference getComplexEventExpression_Right()

      Returns the meta object for the containment reference list '`Right`'.
      Returns:
        the meta object for the containment reference list 'Right'.
      See Also:
        `ComplexEventExpression.getRight()`, `getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_Multiplicity

          org.eclipse.emf.ecore.EReference getComplexEventExpression_Multiplicity()

      Returns the meta object for the containment reference '`Multiplicity`'.
      Returns:
        the meta object for the containment reference 'Multiplicity'.
      See Also:
        `ComplexEventExpression.getMultiplicity()`, `getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_Timewindow

          org.eclipse.emf.ecore.EReference getComplexEventExpression_Timewindow()

      Returns the meta object for the containment reference '`Timewindow`'.
      Returns:
        the meta object for the containment reference 'Timewindow'.
      See Also:
        `ComplexEventExpression.getTimewindow()`, `getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_NegOperator

          org.eclipse.emf.ecore.EReference getComplexEventExpression_NegOperator()

      Returns the meta object for the containment reference '`Neg Operator`'.
      Returns:
        the meta object for the containment reference 'Neg Operator'.
      See Also:
        `ComplexEventExpression.getNegOperator()`, `getComplexEventExpression()`
      Generated:

    - #### getChainedExpression

          org.eclipse.emf.ecore.EClass getChainedExpression()

      Returns the meta object for class '`Chained Expression`'.
      Returns:
        the meta object for class 'Chained Expression'.
      See Also:
        `ChainedExpression`
      Generated:

    - #### getChainedExpression_Operator

          org.eclipse.emf.ecore.EReference getChainedExpression_Operator()

      Returns the meta object for the containment reference '`Operator`'.
      Returns:
        the meta object for the containment reference 'Operator'.
      See Also:
        `ChainedExpression.getOperator()`, `getChainedExpression()`
      Generated:

    - #### getChainedExpression_Expression

          org.eclipse.emf.ecore.EReference getChainedExpression_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `ChainedExpression.getExpression()`, `getChainedExpression()`
      Generated:

    - #### getAtom

          org.eclipse.emf.ecore.EClass getAtom()

      Returns the meta object for class '`Atom`'.
      Returns:
        the meta object for class 'Atom'.
      See Also:
        `Atom`
      Generated:

    - #### getAtom_PatternCall

          org.eclipse.emf.ecore.EReference getAtom_PatternCall()

      Returns the meta object for the containment reference '`Pattern Call`'.
      Returns:
        the meta object for the containment reference 'Pattern Call'.
      See Also:
        `Atom.getPatternCall()`, `getAtom()`
      Generated:

    - #### getAbstractMultiplicity

          org.eclipse.emf.ecore.EClass getAbstractMultiplicity()

      Returns the meta object for class '`Abstract Multiplicity`'.
      Returns:
        the meta object for class 'Abstract Multiplicity'.
      See Also:
        `AbstractMultiplicity`
      Generated:

    - #### getTimewindow

          org.eclipse.emf.ecore.EClass getTimewindow()

      Returns the meta object for class '`Timewindow`'.
      Returns:
        the meta object for class 'Timewindow'.
      See Also:
        `Timewindow`
      Generated:

    - #### getTimewindow_Length

          org.eclipse.emf.ecore.EAttribute getTimewindow_Length()

      Returns the meta object for the attribute '`Length`'.
      Returns:
        the meta object for the attribute 'Length'.
      See Also:
        `Timewindow.getLength()`, `getTimewindow()`
      Generated:

    - #### getParameterizedPatternCall

          org.eclipse.emf.ecore.EClass getParameterizedPatternCall()

      Returns the meta object for class '`Parameterized Pattern Call`'.
      Returns:
        the meta object for class 'Parameterized Pattern Call'.
      See Also:
        `ParameterizedPatternCall`
      Generated:

    - #### getParameterizedPatternCall_EventPattern

          org.eclipse.emf.ecore.EReference getParameterizedPatternCall_EventPattern()

      Returns the meta object for the reference '`Event Pattern`'.
      Returns:
        the meta object for the reference 'Event Pattern'.
      See Also:
        `ParameterizedPatternCall.getEventPattern()`, `getParameterizedPatternCall()`
      Generated:

    - #### getParameterizedPatternCall_ParameterList

          org.eclipse.emf.ecore.EReference getParameterizedPatternCall_ParameterList()

      Returns the meta object for the containment reference '`Parameter List`'.
      Returns:
        the meta object for the containment reference 'Parameter List'.
      See Also:
        `ParameterizedPatternCall.getParameterList()`, `getParameterizedPatternCall()`
      Generated:

    - #### getPatternCallParameterList

          org.eclipse.emf.ecore.EClass getPatternCallParameterList()

      Returns the meta object for class '`Pattern Call Parameter List`'.
      Returns:
        the meta object for class 'Pattern Call Parameter List'.
      See Also:
        `PatternCallParameterList`
      Generated:

    - #### getPatternCallParameterList_Parameters

          org.eclipse.emf.ecore.EReference getPatternCallParameterList_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `PatternCallParameterList.getParameters()`, `getPatternCallParameterList()`
      Generated:

    - #### getPatternCallParameter

          org.eclipse.emf.ecore.EClass getPatternCallParameter()

      Returns the meta object for class '`Pattern Call Parameter`'.
      Returns:
        the meta object for class 'Pattern Call Parameter'.
      See Also:
        `PatternCallParameter`
      Generated:

    - #### getPatternCallParameter_Name

          org.eclipse.emf.ecore.EAttribute getPatternCallParameter_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `PatternCallParameter.getName()`, `getPatternCallParameter()`
      Generated:

    - #### getComplexEventOperator

          org.eclipse.emf.ecore.EClass getComplexEventOperator()

      Returns the meta object for class '`Complex Event Operator`'.
      Returns:
        the meta object for class 'Complex Event Operator'.
      See Also:
        `ComplexEventOperator`
      Generated:

    - #### getBinaryOperator

          org.eclipse.emf.ecore.EClass getBinaryOperator()

      Returns the meta object for class '`Binary Operator`'.
      Returns:
        the meta object for class 'Binary Operator'.
      See Also:
        `BinaryOperator`
      Generated:

    - #### getUnaryOperator

          org.eclipse.emf.ecore.EClass getUnaryOperator()

      Returns the meta object for class '`Unary Operator`'.
      Returns:
        the meta object for class 'Unary Operator'.
      See Also:
        `UnaryOperator`
      Generated:

    - #### getFollowsOperator

          org.eclipse.emf.ecore.EClass getFollowsOperator()

      Returns the meta object for class '`Follows Operator`'.
      Returns:
        the meta object for class 'Follows Operator'.
      See Also:
        `FollowsOperator`
      Generated:

    - #### getOrOperator

          org.eclipse.emf.ecore.EClass getOrOperator()

      Returns the meta object for class '`Or Operator`'.
      Returns:
        the meta object for class 'Or Operator'.
      See Also:
        `OrOperator`
      Generated:

    - #### getAndOperator

          org.eclipse.emf.ecore.EClass getAndOperator()

      Returns the meta object for class '`And Operator`'.
      Returns:
        the meta object for class 'And Operator'.
      See Also:
        `AndOperator`
      Generated:

    - #### getUntilOperator

          org.eclipse.emf.ecore.EClass getUntilOperator()

      Returns the meta object for class '`Until Operator`'.
      Returns:
        the meta object for class 'Until Operator'.
      See Also:
        `UntilOperator`
      Generated:

    - #### getNegOperator

          org.eclipse.emf.ecore.EClass getNegOperator()

      Returns the meta object for class '`Neg Operator`'.
      Returns:
        the meta object for class 'Neg Operator'.
      See Also:
        `NegOperator`
      Generated:

    - #### getMultiplicity

          org.eclipse.emf.ecore.EClass getMultiplicity()

      Returns the meta object for class '`Multiplicity`'.
      Returns:
        the meta object for class 'Multiplicity'.
      See Also:
        `Multiplicity`
      Generated:

    - #### getMultiplicity_Value

          org.eclipse.emf.ecore.EAttribute getMultiplicity_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Multiplicity.getValue()`, `getMultiplicity()`
      Generated:

    - #### getInfinite

          org.eclipse.emf.ecore.EClass getInfinite()

      Returns the meta object for class '`Infinite`'.
      Returns:
        the meta object for class 'Infinite'.
      See Also:
        `Infinite`
      Generated:

    - #### getAtLeastOne

          org.eclipse.emf.ecore.EClass getAtLeastOne()

      Returns the meta object for class '`At Least One`'.
      Returns:
        the meta object for class 'At Least One'.
      See Also:
        `AtLeastOne`
      Generated:

    - #### getContextEnum

          org.eclipse.emf.ecore.EEnum getContextEnum()

      Returns the meta object for enum '`Context Enum`'.
      Returns:
        the meta object for enum 'Context Enum'.
      See Also:
        `ContextEnum`
      Generated:

    - #### getQueryResultChangeType

          org.eclipse.emf.ecore.EEnum getQueryResultChangeType()

      Returns the meta object for enum '`Query Result Change Type`'.
      Returns:
        the meta object for enum 'Query Result Change Type'.
      See Also:
        `QueryResultChangeType`
      Generated:

    - #### getVeplFactory

          VeplFactory getVeplFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: